Criar tarefa do fluxo
Criar tarefa do fluxo. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
POST
/FlowTaskCriar tarefa do fluxo. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
Esta operação não possui parâmetros de rota, query ou header.
Corpo da requisição
Content type: application/json · Schema: FlowTaskDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
flowId | integer · int32 | Não | — | — |
currentFlowStageId | integer · int32 | Não | — | — |
title | string | Não | — | aceita null |
description | string | Não | — | aceita null |
status | FlowTaskStatus | Não | — | — |
priority | integer · int32 | Não | — | — |
payload | string | Não | — | aceita null |
dueDate | string · date-time | Não | — | aceita null |
createdAt | string · date-time | Não | — | aceita null |
createdBy | integer · int32 | Não | — | — |
completedAt | string · date-time | Não | — | aceita null |
canceledAt | string · date-time | Não | — | aceita null |
flowRecurringTaskId | integer · int32 | Não | — | aceita null |
recurringOccurrenceAtUtc | string · date-time | Não | — | aceita null |
scheduledOccurrenceAtUtc | string · date-time | Não | — | aceita null |
Exemplo de requisição
curl --request POST \
--url 'https://api.zild.ai/FlowTask' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"flowId": 0,
"currentFlowStageId": 0,
"title": "string",
"description": "string",
"status": 0,
"priority": 0,
"payload": "string",
"dueDate": "2026-09-22T18:00:00Z",
"createdAt": "2026-09-22T18:00:00Z",
"createdBy": 0,
"completedAt": "2026-09-22T18:00:00Z",
"canceledAt": "2026-09-22T18:00:00Z",
"flowRecurringTaskId": 0,
"recurringOccurrenceAtUtc": "2026-09-22T18:00:00Z",
"scheduledOccurrenceAtUtc": "2026-09-22T18:00:00Z"
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | OK | Nenhum corpo de resposta está definido. |
Modelos de dados
FlowTaskDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
flowId | integer · int32 | Não | — | — |
currentFlowStageId | integer · int32 | Não | — | — |
title | string | Não | — | aceita null |
description | string | Não | — | aceita null |
status | FlowTaskStatus | Não | — | — |
priority | integer · int32 | Não | — | — |
payload | string | Não | — | aceita null |
dueDate | string · date-time | Não | — | aceita null |
createdAt | string · date-time | Não | — | aceita null |
createdBy | integer · int32 | Não | — | — |
completedAt | string · date-time | Não | — | aceita null |
canceledAt | string · date-time | Não | — | aceita null |
flowRecurringTaskId | integer · int32 | Não | — | aceita null |
recurringOccurrenceAtUtc | string · date-time | Não | — | aceita null |
scheduledOccurrenceAtUtc | string · date-time | Não | — | aceita null |
FlowTaskStatus
0 = Pending; 1 = InProgress; 2 = Completed; 3 = Canceled
integer